Bug 54725 - Internal compiler error in scan_region, at expect.c
Internal compiler error in scan_region, at expect.c
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-16 20:44 EDT by Stephen Torri
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 12:55:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Torri 2001-10-16 20:44:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.10 i686)

Description of problem:
G++ reports an internal compiler error. The message comes when it tries to
compile DomainS.cpp in the $TAO_ROOT/tao/Domain directory.
It fails at the function: get_domain_policy_skel (TAO_ServerRequest &, void
*, void*, Environment&). The error message reports a problem in
scan_region, at expect.c:2809. It gives no more information.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download ACE+TAO.tar.gz from ace.cs.wustl.edu
2. Export ACE_ROOT to where ever ACE+TAO is installed (e.g.
/usr/src/ACE_wrappers)
3. Export TAO_ROOT = $ACE_ROOT/TAO
4. cd $ACE_ROOT/include/makeinclude
5. ln -s platform_linux.GNU platform_macros.GNU
6. cd $ACE_ROOT/ace
7. ln -s config-linux.h config.h
8. cd $ACE_ROOT
9. Edit $ACE_ROOT/include/makeinclude/wrapper_macros.GNU to have the
following after the big comment section at the start of the file:
 exceptions = 1
 optimize = 1
 threads = 1
 debug = 0
 LDFLAGS += -L$(ACE_ROOT)/lib
10. make
11. make install
12. cd $TAO_ROOT/tao
13. make (Installation will eventually come to DomainS.cpp and crash
	

Actual Results:  g++ -W -Wall -Wpointer-arith -pipe -O3 -Wno-uninitialized
-fno-implicit-templates  -D_POSIX_THREADS -D_POSIX_THREAD_SAFE_FUNCTIONS
-D_REENTRANT -DACE_HAS_AIO_CALLS  -I/usr/src/ACE_wrappers -DACE_NDEBUG
-DACE_USE_RCSID=0 -DACE_HAS_EXCEPTIONS    -I/usr/src/ACE_wrappers/TAO  -c
-fPIC -o .shobj/DomainS.o DomainS.cpp
DomainS.cpp: In function `void 
POA_CORBA_DomainManager::get_domain_policy_skel (TAO_ServerRequest &, 
void *, void *, Environment &)':
DomainS.cpp:558: Internal compiler error in scan_region, at except.c:
2809
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [.shobj/DomainS.o] Error 2

Expected Results:  Compiled fine and did the rest of the TAO source code.
Sorry if that seems obvious but I didn't expect anything else.

Additional info:

Bug is reported to ACE+TAO via their bugzilla.
http://ace.cs.wustl.edu/bugzilla.
Comment 1 rodrigc 2001-10-16 21:17:18 EDT
The workaround for this bug is to upgrade the Red Hat version of gcc.

The instructions for this workaround are here:
http://groups.yahoo.com/group/tao-users/message/8254

Close this report.

Craig Rodrigues
rodrigc@mediaone.net
Comment 2 Jakub Jelinek 2001-10-17 06:06:27 EDT
As you haven't attached preprocessed testcase, I can only guess.
To me this looks very much like
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=48835 (or 53728),
so please try gcc-2.96-9[89].
Comment 3 Stephen Torri 2001-10-17 10:22:04 EDT
gcc-2.96-99 cleared the problem.

Note You need to log in before you can comment on or make changes to this bug.